Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.Dynamic
Class ExceptionListHolder

    java.lang.Object
      |
      +--org.omg.Dynamic.ExceptionListHolder

All Implemented Interfaces:
  Streamable

public final class ExceptionListHolder
extends java.lang.Object
implements Streamable

Holder class for : ExceptionList

Author:
  OpenORB Compiler

Field Summary
`TypeCode[]` | `value` Internal ExceptionList value

Constructor Summary
`ExceptionListHolder()` Default constructor
`ExceptionListHolder(TypeCode[] initial)` Constructor with value initialisation

Method Summary
`void` | `_read(InputStream istream)` Read ExceptionList from a marshalled stream
`TypeCode` | `_type()` Return the ExceptionList TypeCode
`void` | `_write(OutputStream ostream)` Write ExceptionList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public TypeCode[] value

  Internal ExceptionList value

Constructor Detail

### ExceptionListHolder

    public ExceptionListHolder()

  Default constructor

### ExceptionListHolder

    public ExceptionListHolder(TypeCode[] initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read ExceptionList from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write ExceptionList into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the ExceptionList TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD